dodoc: adjust to "git add ." complaints.
authorJunio C Hamano <junkio@cox.net>
Thu, 18 May 2006 07:48:11 +0000 (00:48 -0700)
committerJunio C Hamano <junkio@cox.net>
Thu, 18 May 2006 07:48:11 +0000 (00:48 -0700)
The updated "git add" complains and fails, not just warns.  Work it
around until it is fixed.

dodoc.sh

index a2f87e8..15926f3 100755 (executable)
--- a/dodoc.sh
+++ b/dodoc.sh
@@ -78,7 +78,7 @@ else
 fi || exit $?
 
 cd ../doc-htmlpages &&
-    git add . &&
+    (git add . || echo no new files -- not a big deal) &&
     if git commit -a -m "Autogenerated HTML docs for $NID"
     then
        git-send-pack "$MASTERREPO" master:refs/heads/html || {
@@ -94,7 +94,7 @@ make man1="$DOCREPO/doc-manpages/man1" man7="$DOCREPO/doc-manpages/man7" \
        install >../:man.log 2>&1 &&
 
 cd ../doc-manpages &&
-    git add . &&
+    (git add . || echo no new files -- not a big deal) &&
     if git commit -a -m "Autogenerated man pages for $NID"
     then
        git-send-pack "$MASTERREPO" master:refs/heads/man || {